Subject: Re: bug#65685: 29.1; Inconsistent behavior of quoted file name "/:~" across platforms

From: Michael Albinus <[email-masked]>
Date: Fri, 13 Oct 2023 16:26:19 +0200

Jim Porter <[email-masked]> writes:

Hi Jim,

> Before the patch (on Emacs 29.1), if I open "/ssh:remote:/:~", then
> Emacs opens the file "/ssh:remote:/:/Users/Jim/AppData/Local/Temp/~".
>
> After the patch, Emacs opens the file "/ssh:remote:/Users/Jim/Documents".
>
> Based on the direction in your patch, I'd expect Emacs to open
> "/ssh:remote:/home/jim/".

This is a Tramp bug. I've fixed this in the emacs-29 branch, and merged
it to the master branch afterwards. The fix shall solve both scenarios,
with and without the patch I've posted earlier here.

Could you pls test, whether the patch behaves now as intended?

Best regards, Michael.